Subject: Concerns regarding code in pgstat_backend.c

From: "Ryo Matsumura (Fujitsu)" <[email-masked]>
Date: Fri, 6 Feb 2026 07:11:07 +0000

Hi, Michael and Hackers,

I found the code that is likely to cause bugs in the future. It's not currently a bug.
Should I have misunderstood, please feel free to disregard this email.

pgstat_create_backend(ProcNumber procnum) uses MyProcNumber instead of the argument.
I've had a quick look through the commit log and thread, but I don't seem to have found the reason.
Wouldn't it be better to use 'procnum'?

This change seems to have appeared in v2-0002-More-work-to-allow-backend-statistics-in-critical.patch on 2025-01-20 06:34:41
https://www.postgresql.org/message-id/flat/66efowskppsns35v5u2m7k4sdnl7yoz5bo64tdjwq7r5lhplrz%40y7dme5xwh2r5#fba8e490848df1798e7c693c70a43f56

Best Regards
Ryo Matsumura